## org.apache.xerces.impl.xs.opti
Class DefaultXMLDocumentHandler

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.opti.DefaultXMLDocumentHandler

All Implemented Interfaces:
  org.apache.xerces.xni.XMLDocumentHandler, org.apache.xerces.xni.XMLDTDContentModelHandler, org.apache.xerces.xni.XMLDTDHandler

Direct Known Subclasses:
  SchemaDOMParser

public class DefaultXMLDocumentHandler
extends java.lang.Object
implements org.apache.xerces.xni.XMLDocumentHandler, org.apache.xerces.xni.XMLDTDHandler, org.apache.xerces.xni.XMLDTDContentModelHandler

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: DefaultXMLDocumentHandler.java 446728 2006-09-15 20:43:46Z mrglavas $
Author:
  Rahul Srivastava, Sun Microsystems Inc., Sandy Gao, IBM

Fields inherited from interface org.apache.xerces.xni.XMLDTDHandler
`CONDITIONAL_IGNORE, CONDITIONAL_INCLUDE`

Fields inherited from interface org.apache.xerces.xni.XMLDTDContentModelHandler
`OCCURS_ONE_OR_MORE, OCCURS_ZERO_OR_MORE, OCCURS_ZERO_OR_ONE, SEPARATOR_CHOICE, SEPARATOR_SEQUENCE`

Constructor Summary
`DefaultXMLDocumentHandler()` Default Constructor

Method Summary
`void` `any(org.apache.xerces.xni.Augmentations augmentations)` A content model of ANY.
`void` `attributeDecl(java.lang.String elementName, java.lang.String attributeName, java.lang.String type, java.lang.String[] enumeration, java.lang.String defaultType, org.apache.xerces.xni.XMLString defaultValue, org.apache.xerces.xni.XMLString nonNormalizedDefaultValue, org.apache.xerces.xni.Augmentations augmentations)` An attribute declaration.
`void` `characters(org.apache.xerces.xni.XMLString text, org.apache.xerces.xni.Augmentations augs)` Character content.
`void` `comment(org.apache.xerces.xni.XMLString text, org.apache.xerces.xni.Augmentations augs)` A comment.
`void` `doctypeDecl(java.lang.String rootElement, java.lang.String publicId, java.lang.String systemId, org.apache.xerces.xni.Augmentations augs)` Notifies of the presence of the DOCTYPE line in the document.
`void` `element(java.lang.String elementName, org.apache.xerces.xni.Augmentations augmentations)` A referenced element in a mixed or children content model.
`void` `elementDecl(java.lang.String name, java.lang.String contentModel, org.apache.xerces.xni.Augmentations augmentations)` An element declaration.
`void` `empty(org.apache.xerces.xni.Augmentations augmentations)` A content model of EMPTY.
`void` `emptyElement(org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attributes, org.apache.xerces.xni.Augmentations augs)` An empty element.
`void` `endAttlist(org.apache.xerces.xni.Augmentations augmentations)` The end of an attribute list.
`void` `endCDATA(org.apache.xerces.xni.Augmentations augs)` The end of a CDATA section.
`void` `endConditional(org.apache.xerces.xni.Augmentations augmentations)` The end of a conditional section.
`void` `endContentModel(org.apache.xerces.xni.Augmentations augmentations)` The end of a content model.
`void` `endDocument(org.apache.xerces.xni.Augmentations augs)` The end of the document.
`void` `endDTD(org.apache.xerces.xni.Augmentations augmentations)` The end of the DTD.
`void` `endElement(org.apache.xerces.xni.QName element, org.apache.xerces.xni.Augmentations augs)` The end of an element.
`void` `endExternalSubset(org.apache.xerces.xni.Augmentations augmentations)` The end of the DTD external subset.
`void` `endGeneralEntity(java.lang.String name, org.apache.xerces.xni.Augmentations augs)` This method notifies the end of a general entity.
`void` `endGroup(org.apache.xerces.xni.Augmentations augmentations)` The end of a group for mixed or children content models.
`void` `endParameterEntity(java.lang.String name, org.apache.xerces.xni.Augmentations augmentations)` This method notifies the end of a parameter entity.
`void` `endPrefixMapping(java.lang.String prefix, org.apache.xerces.xni.Augmentations augs)` The end of a namespace prefix mapping.
`void` `externalEntityDecl(java.lang.String name, org.apache.xerces.xni.XMLResourceIdentifier identifier, org.apache.xerces.xni.Augmentations augmentations)` An external entity declaration.
`org.apache.xerces.xni.parser.XMLDocumentSource` `getDocumentSource()` Returns the document source.
`org.apache.xerces.xni.parser.XMLDTDContentModelSource` `getDTDContentModelSource()`
`org.apache.xerces.xni.parser.XMLDTDSource` `getDTDSource()`
`void` `ignorableWhitespace(org.apache.xerces.xni.XMLString text, org.apache.xerces.xni.Augmentations augs)` Ignorable whitespace.
`void` `ignoredCharacters(org.apache.xerces.xni.XMLString text, org.apache.xerces.xni.Augmentations augmentations)` Characters within an IGNORE conditional section.
`void` `internalEntityDecl(java.lang.String name, org.apache.xerces.xni.XMLString text, org.apache.xerces.xni.XMLString nonNormalizedText, org.apache.xerces.xni.Augmentations augmentations)` An internal entity declaration.
`void` `notationDecl(java.lang.String name, org.apache.xerces.xni.XMLResourceIdentifier identifier, org.apache.xerces.xni.Augmentations augmentations)` A notation declaration
`void` `occurrence(short occurrence, org.apache.xerces.xni.Augmentations augmentations)` The occurrence count for a child in a children content model or for the mixed content model group.
`void` `pcdata(org.apache.xerces.xni.Augmentations augmentations)` The appearance of "#PCDATA" within a group signifying a mixed content model.
`void` `processingInstruction(java.lang.String target, org.apache.xerces.xni.XMLString data, org.apache.xerces.xni.Augmentations augs)` A processing instruction.
`void` `separator(short separator, org.apache.xerces.xni.Augmentations augmentations)` The separator between choices or sequences of a mixed or children content model.
`void` `setDocumentSource(org.apache.xerces.xni.parser.XMLDocumentSource source)` Sets the document source.
`void` `setDTDContentModelSource(org.apache.xerces.xni.parser.XMLDTDContentModelSource source)`
`void` `setDTDSource(org.apache.xerces.xni.parser.XMLDTDSource source)`
`void` `startAttlist(java.lang.String elementName, org.apache.xerces.xni.Augmentations augmentations)` The start of an attribute list.
`void` `startCDATA(org.apache.xerces.xni.Augmentations augs)` The start of a CDATA section.
`void` `startConditional(short type, org.apache.xerces.xni.Augmentations augmentations)` The start of a conditional section.
`void` `startContentModel(java.lang.String elementName, org.apache.xerces.xni.Augmentations augmentations)` The start of a content model.
`void` `startDocument(org.apache.xerces.xni.XMLLocator locator, java.lang.String encoding, org.apache.xerces.xni.NamespaceContext context, org.apache.xerces.xni.Augmentations augs)` The start of the document.
`void` `startDTD(org.apache.xerces.xni.XMLLocator locator, org.apache.xerces.xni.Augmentations augmentations)` The start of the DTD.
`void` `startElement(org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attributes, org.apache.xerces.xni.Augmentations augs)` The start of an element.
`void` `startExternalSubset(org.apache.xerces.xni.XMLResourceIdentifier identifier, org.apache.xerces.xni.Augmentations augmentations)` The start of the DTD external subset.
`void` `startGeneralEntity(java.lang.String name, org.apache.xerces.xni.XMLResourceIdentifier identifier, java.lang.String encoding, org.apache.xerces.xni.Augmentations augs)` This method notifies the start of a general entity.
`void` `startGroup(org.apache.xerces.xni.Augmentations augmentations)` A start of either a mixed or children content model.
`void` `startParameterEntity(java.lang.String name, org.apache.xerces.xni.XMLResourceIdentifier identifier, java.lang.String encoding, org.apache.xerces.xni.Augmentations augmentations)` This method notifies of the start of a parameter entity.
`void` `startPrefixMapping(java.lang.String prefix, java.lang.String uri, org.apache.xerces.xni.Augmentations augs)` The start of a namespace prefix mapping.
`void` `textDecl(java.lang.String version, java.lang.String encoding, org.apache.xerces.xni.Augmentations augs)` Notifies of the presence of a TextDecl line in an entity.
`void` `unparsedEntityDecl(java.lang.String name, org.apache.xerces.xni.XMLResourceIdentifier identifier, java.lang.String notation, org.apache.xerces.xni.Augmentations augmentations)` An unparsed entity declaration.
`void` `xmlDecl(java.lang.String version, java.lang.String encoding, java.lang.String standalone, org.apache.xerces.xni.Augmentations augs)` Notifies of the presence of an XMLDecl line in the document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultXMLDocumentHandler

    public DefaultXMLDocumentHandler()

  Default Constructor

Method Detail

### startDocument

    public void startDocument(org.apache.xerces.xni.XMLLocator locator,
                              java.lang.String encoding,
                              org.apache.xerces.xni.NamespaceContext context,
                              org.apache.xerces.xni.Augmentations augs)
                       throws org.apache.xerces.xni.XNIException

  The start of the document.
  Specified by:
    `startDocument` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Parameters:
    `locator` - The document locator, or null if the document location cannot be reported during the parsing of this document. However, it is strongly recommended that a locator be supplied that can at least report the system identifier of the document.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal entities or a document entity that is parsed from a java.io.Reader).
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### xmlDecl

    public void xmlDecl(java.lang.String version,
                        java.lang.String encoding,
                        java.lang.String standalone,
                        org.apache.xerces.xni.Augmentations augs)
                 throws org.apache.xerces.xni.XNIException

  Notifies of the presence of an XMLDecl line in the document. If present, this method will be called immediately following the startDocument call.
  Specified by:
    `xmlDecl` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Parameters:
    `version` - The XML version.
    `encoding` - The IANA encoding name of the document, or null if not specified.
    `standalone` - The standalone value, or null if not specified.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### doctypeDecl

    public void doctypeDecl(java.lang.String rootElement,
                            java.lang.String publicId,
                            java.lang.String systemId,
                            org.apache.xerces.xni.Augmentations augs)
                     throws org.apache.xerces.xni.XNIException

  Notifies of the presence of the DOCTYPE line in the document.
  Specified by:
    `doctypeDecl` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Parameters:
    `rootElement` - The name of the root element.
    `publicId` - The public identifier if an external DTD or null if the external DTD is specified using SYSTEM.
    `systemId` - The system identifier if an external DTD, null otherwise.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### comment

    public void comment(org.apache.xerces.xni.XMLString text,
                        org.apache.xerces.xni.Augmentations augs)
                 throws org.apache.xerces.xni.XNIException

  A comment.
  Specified by:
    `comment` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Parameters:
    `text` - The text in the comment.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by application to signal an error.

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      org.apache.xerces.xni.XMLString data,
                                      org.apache.xerces.xni.Augmentations augs)
                               throws org.apache.xerces.xni.XNIException

  A processing instruction. Processing instructions consist of a target name and, optionally, text data. The data is only meaningful to the application.

  Typically, a processing instruction's data will contain a series of pseudo-attributes. These pseudo-attributes follow the form of element attributes but are not parsed or presented to the application as anything other than text. The application is responsible for parsing the data.

  Specified by:
    `processingInstruction` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Parameters:
    `target` - The target.
    `data` - The data or null if none specified.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri,
                                   org.apache.xerces.xni.Augmentations augs)
                            throws org.apache.xerces.xni.XNIException

  The start of a namespace prefix mapping. This method will only be called when namespace processing is enabled.
  Parameters:
    `prefix` - The namespace prefix.
    `uri` - The URI bound to the prefix.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### startElement

    public void startElement(org.apache.xerces.xni.QName element,
                             org.apache.xerces.xni.XMLAttributes attributes,
                             org.apache.xerces.xni.Augmentations augs)
                      throws org.apache.xerces.xni.XNIException

  The start of an element.
  Specified by:
    `startElement` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Parameters:
    `element` - The name of the element.
    `attributes` - The element attributes.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### emptyElement

    public void emptyElement(org.apache.xerces.xni.QName element,
                             org.apache.xerces.xni.XMLAttributes attributes,
                             org.apache.xerces.xni.Augmentations augs)
                      throws org.apache.xerces.xni.XNIException

  An empty element.
  Specified by:
    `emptyElement` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Parameters:
    `element` - The name of the element.
    `attributes` - The element attributes.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### startGeneralEntity

    public void startGeneralEntity(java.lang.String name,
                                   org.apache.xerces.xni.XMLResourceIdentifier identifier,
                                   java.lang.String encoding,
                                   org.apache.xerces.xni.Augmentations augs)
                            throws org.apache.xerces.xni.XNIException

  This method notifies the start of a general entity.

  Note: This method is not called for entity references appearing as part of attribute values.

  Specified by:
    `startGeneralEntity` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Parameters:
    `name` - The name of the general entity.
    `identifier` - The resource identifier.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal entities or a document entity that is parsed from a java.io.Reader).
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### textDecl

    public void textDecl(java.lang.String version,
                         java.lang.String encoding,
                         org.apache.xerces.xni.Augmentations augs)
                  throws org.apache.xerces.xni.XNIException

  Notifies of the presence of a TextDecl line in an entity. If present, this method will be called immediately following the startEntity call.

  Note: This method will never be called for the document entity; it is only called for external general entities referenced in document content.

  Note: This method is not called for entity references appearing as part of attribute values.

  Specified by:
    `textDecl` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Parameters:
    `version` - The XML version, or null if not specified.
    `encoding` - The IANA encoding name of the entity.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### endGeneralEntity

    public void endGeneralEntity(java.lang.String name,
                                 org.apache.xerces.xni.Augmentations augs)
                          throws org.apache.xerces.xni.XNIException

  This method notifies the end of a general entity.

  Note: This method is not called for entity references appearing as part of attribute values.

  Specified by:
    `endGeneralEntity` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Parameters:
    `name` - The name of the entity.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### characters

    public void characters(org.apache.xerces.xni.XMLString text,
                           org.apache.xerces.xni.Augmentations augs)
                    throws org.apache.xerces.xni.XNIException

  Character content.
  Specified by:
    `characters` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Parameters:
    `text` - The content.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### ignorableWhitespace

    public void ignorableWhitespace(org.apache.xerces.xni.XMLString text,
                                    org.apache.xerces.xni.Augmentations augs)
                             throws org.apache.xerces.xni.XNIException

  Ignorable whitespace. For this method to be called, the document source must have some way of determining that the text containing only whitespace characters should be considered ignorable. For example, the validator can determine if a length of whitespace characters in the document are ignorable based on the element content model.
  Specified by:
    `ignorableWhitespace` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Parameters:
    `text` - The ignorable whitespace.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### endElement

    public void endElement(org.apache.xerces.xni.QName element,
                           org.apache.xerces.xni.Augmentations augs)
                    throws org.apache.xerces.xni.XNIException

  The end of an element.
  Specified by:
    `endElement` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Parameters:
    `element` - The name of the element.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix,
                                 org.apache.xerces.xni.Augmentations augs)
                          throws org.apache.xerces.xni.XNIException

  The end of a namespace prefix mapping. This method will only be called when namespace processing is enabled.
  Parameters:
    `prefix` - The namespace prefix.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### startCDATA

    public void startCDATA(org.apache.xerces.xni.Augmentations augs)
                    throws org.apache.xerces.xni.XNIException

  The start of a CDATA section.
  Specified by:
    `startCDATA` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Parameters:
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### endCDATA

    public void endCDATA(org.apache.xerces.xni.Augmentations augs)
                  throws org.apache.xerces.xni.XNIException

  The end of a CDATA section.
  Specified by:
    `endCDATA` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Parameters:
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### endDocument

    public void endDocument(org.apache.xerces.xni.Augmentations augs)
                     throws org.apache.xerces.xni.XNIException

  The end of the document.
  Specified by:
    `endDocument` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Parameters:
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### startDTD

    public void startDTD(org.apache.xerces.xni.XMLLocator locator,
                         org.apache.xerces.xni.Augmentations augmentations)
                  throws org.apache.xerces.xni.XNIException

  The start of the DTD.
  Specified by:
    `startDTD` in interface `org.apache.xerces.xni.XMLDTDHandler`
  Parameters:
    `locator` - The document locator, or null if the document location cannot be reported during the parsing of the document DTD. However, it is strongly recommended that a locator be supplied that can at least report the base system identifier of the DTD.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### startParameterEntity

    public void startParameterEntity(java.lang.String name,
                                     org.apache.xerces.xni.XMLResourceIdentifier identifier,
                                     java.lang.String encoding,
                                     org.apache.xerces.xni.Augmentations augmentations)
                              throws org.apache.xerces.xni.XNIException

  This method notifies of the start of a parameter entity. The parameter entity name start with a '%' character.
  Specified by:
    `startParameterEntity` in interface `org.apache.xerces.xni.XMLDTDHandler`
  Parameters:
    `name` - The name of the parameter entity.
    `identifier` - The resource identifier.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal parameter entities).
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### endParameterEntity

    public void endParameterEntity(java.lang.String name,
                                   org.apache.xerces.xni.Augmentations augmentations)
                            throws org.apache.xerces.xni.XNIException

  This method notifies the end of a parameter entity. Parameter entity names begin with a '%' character.
  Specified by:
    `endParameterEntity` in interface `org.apache.xerces.xni.XMLDTDHandler`
  Parameters:
    `name` - The name of the parameter entity.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### startExternalSubset

    public void startExternalSubset(org.apache.xerces.xni.XMLResourceIdentifier identifier,
                                    org.apache.xerces.xni.Augmentations augmentations)
                             throws org.apache.xerces.xni.XNIException

  The start of the DTD external subset.
  Specified by:
    `startExternalSubset` in interface `org.apache.xerces.xni.XMLDTDHandler`
  Parameters:
    `identifier` - The resource identifier.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### endExternalSubset

    public void endExternalSubset(org.apache.xerces.xni.Augmentations augmentations)
                           throws org.apache.xerces.xni.XNIException

  The end of the DTD external subset.
  Specified by:
    `endExternalSubset` in interface `org.apache.xerces.xni.XMLDTDHandler`
  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### elementDecl

    public void elementDecl(java.lang.String name,
                            java.lang.String contentModel,
                            org.apache.xerces.xni.Augmentations augmentations)
                     throws org.apache.xerces.xni.XNIException

  An element declaration.
  Specified by:
    `elementDecl` in interface `org.apache.xerces.xni.XMLDTDHandler`
  Parameters:
    `name` - The name of the element.
    `contentModel` - The element content model.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### startAttlist

    public void startAttlist(java.lang.String elementName,
                             org.apache.xerces.xni.Augmentations augmentations)
                      throws org.apache.xerces.xni.XNIException

  The start of an attribute list.
  Specified by:
    `startAttlist` in interface `org.apache.xerces.xni.XMLDTDHandler`
  Parameters:
    `elementName` - The name of the element that this attribute list is associated with.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### attributeDecl

    public void attributeDecl(java.lang.String elementName,
                              java.lang.String attributeName,
                              java.lang.String type,
                              java.lang.String[] enumeration,
                              java.lang.String defaultType,
                              org.apache.xerces.xni.XMLString defaultValue,
                              org.apache.xerces.xni.XMLString nonNormalizedDefaultValue,
                              org.apache.xerces.xni.Augmentations augmentations)
                       throws org.apache.xerces.xni.XNIException

  An attribute declaration.
  Specified by:
    `attributeDecl` in interface `org.apache.xerces.xni.XMLDTDHandler`
  Parameters:
    `elementName` - The name of the element that this attribute is associated with.
    `attributeName` - The name of the attribute.
    `type` - The attribute type. This value will be one of the following: "CDATA", "ENTITY", "ENTITIES", "ENUMERATION", "ID", "IDREF", "IDREFS", "NMTOKEN", "NMTOKENS", or "NOTATION".
    `enumeration` - If the type has the value "ENUMERATION" or "NOTATION", this array holds the allowed attribute values; otherwise, this array is null.
    `defaultType` - The attribute default type. This value will be one of the following: "#FIXED", "#IMPLIED", "#REQUIRED", or null.
    `defaultValue` - The attribute default value, or null if no default value is specified.
    `nonNormalizedDefaultValue` - The attribute default value with no normalization performed, or null if no default value is specified.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### endAttlist

    public void endAttlist(org.apache.xerces.xni.Augmentations augmentations)
                    throws org.apache.xerces.xni.XNIException

  The end of an attribute list.
  Specified by:
    `endAttlist` in interface `org.apache.xerces.xni.XMLDTDHandler`
  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### internalEntityDecl

    public void internalEntityDecl(java.lang.String name,
                                   org.apache.xerces.xni.XMLString text,
                                   org.apache.xerces.xni.XMLString nonNormalizedText,
                                   org.apache.xerces.xni.Augmentations augmentations)
                            throws org.apache.xerces.xni.XNIException

  An internal entity declaration.
  Specified by:
    `internalEntityDecl` in interface `org.apache.xerces.xni.XMLDTDHandler`
  Parameters:
    `name` - The name of the entity. Parameter entity names start with '%', whereas the name of a general entity is just the entity name.
    `text` - The value of the entity.
    `nonNormalizedText` - The non-normalized value of the entity. This value contains the same sequence of characters that was in the internal entity declaration, without any entity references expanded.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### externalEntityDecl

    public void externalEntityDecl(java.lang.String name,
                                   org.apache.xerces.xni.XMLResourceIdentifier identifier,
                                   org.apache.xerces.xni.Augmentations augmentations)
                            throws org.apache.xerces.xni.XNIException

  An external entity declaration.
  Specified by:
    `externalEntityDecl` in interface `org.apache.xerces.xni.XMLDTDHandler`
  Parameters:
    `name` - The name of the entity. Parameter entity names start with '%', whereas the name of a general entity is just the entity name.
    `identifier` - An object containing all location information pertinent to this external entity.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### unparsedEntityDecl

    public void unparsedEntityDecl(java.lang.String name,
                                   org.apache.xerces.xni.XMLResourceIdentifier identifier,
                                   java.lang.String notation,
                                   org.apache.xerces.xni.Augmentations augmentations)
                            throws org.apache.xerces.xni.XNIException

  An unparsed entity declaration.
  Specified by:
    `unparsedEntityDecl` in interface `org.apache.xerces.xni.XMLDTDHandler`
  Parameters:
    `name` - The name of the entity.
    `identifier` - An object containing all location information pertinent to this unparsed entity declaration.
    `notation` - The name of the notation.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### notationDecl

    public void notationDecl(java.lang.String name,
                             org.apache.xerces.xni.XMLResourceIdentifier identifier,
                             org.apache.xerces.xni.Augmentations augmentations)
                      throws org.apache.xerces.xni.XNIException

  A notation declaration
  Specified by:
    `notationDecl` in interface `org.apache.xerces.xni.XMLDTDHandler`
  Parameters:
    `name` - The name of the notation.
    `identifier` - An object containing all location information pertinent to this notation.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### startConditional

    public void startConditional(short type,
                                 org.apache.xerces.xni.Augmentations augmentations)
                          throws org.apache.xerces.xni.XNIException

  The start of a conditional section.
  Specified by:
    `startConditional` in interface `org.apache.xerces.xni.XMLDTDHandler`
  Parameters:
    `type` - The type of the conditional section. This value will either be CONDITIONAL_INCLUDE or CONDITIONAL_IGNORE.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLDTDHandler.CONDITIONAL_INCLUDE`, `XMLDTDHandler.CONDITIONAL_IGNORE`

### ignoredCharacters

    public void ignoredCharacters(org.apache.xerces.xni.XMLString text,
                                  org.apache.xerces.xni.Augmentations augmentations)
                           throws org.apache.xerces.xni.XNIException

  Characters within an IGNORE conditional section.
  Specified by:
    `ignoredCharacters` in interface `org.apache.xerces.xni.XMLDTDHandler`
  Parameters:
    `text` - The ignored text.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### endConditional

    public void endConditional(org.apache.xerces.xni.Augmentations augmentations)
                        throws org.apache.xerces.xni.XNIException

  The end of a conditional section.
  Specified by:
    `endConditional` in interface `org.apache.xerces.xni.XMLDTDHandler`
  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### endDTD

    public void endDTD(org.apache.xerces.xni.Augmentations augmentations)
                throws org.apache.xerces.xni.XNIException

  The end of the DTD.
  Specified by:
    `endDTD` in interface `org.apache.xerces.xni.XMLDTDHandler`
  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### startContentModel

    public void startContentModel(java.lang.String elementName,
                                  org.apache.xerces.xni.Augmentations augmentations)
                           throws org.apache.xerces.xni.XNIException

  The start of a content model. Depending on the type of the content model, specific methods may be called between the call to the startContentModel method and the call to the endContentModel method.
  Specified by:
    `startContentModel` in interface `org.apache.xerces.xni.XMLDTDContentModelHandler`
  Parameters:
    `elementName` - The name of the element.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### any

    public void any(org.apache.xerces.xni.Augmentations augmentations)
             throws org.apache.xerces.xni.XNIException

  A content model of ANY.
  Specified by:
    `any` in interface `org.apache.xerces.xni.XMLDTDContentModelHandler`
  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.
  See Also:
    `empty(org.apache.xerces.xni.Augmentations)`, `startGroup(org.apache.xerces.xni.Augmentations)`

### empty

    public void empty(org.apache.xerces.xni.Augmentations augmentations)
               throws org.apache.xerces.xni.XNIException

  A content model of EMPTY.
  Specified by:
    `empty` in interface `org.apache.xerces.xni.XMLDTDContentModelHandler`
  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.
  See Also:
    `any(org.apache.xerces.xni.Augmentations)`, `startGroup(org.apache.xerces.xni.Augmentations)`

### startGroup

    public void startGroup(org.apache.xerces.xni.Augmentations augmentations)
                    throws org.apache.xerces.xni.XNIException

  A start of either a mixed or children content model. A mixed content model will immediately be followed by a call to the `pcdata()` method. A children content model will contain additional groups and/or elements.
  Specified by:
    `startGroup` in interface `org.apache.xerces.xni.XMLDTDContentModelHandler`
  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.
  See Also:
    `any(org.apache.xerces.xni.Augmentations)`, `empty(org.apache.xerces.xni.Augmentations)`

### pcdata

    public void pcdata(org.apache.xerces.xni.Augmentations augmentations)
                throws org.apache.xerces.xni.XNIException

  The appearance of "#PCDATA" within a group signifying a mixed content model. This method will be the first called following the content model's `startGroup()`.
  Specified by:
    `pcdata` in interface `org.apache.xerces.xni.XMLDTDContentModelHandler`
  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.
  See Also:
    `startGroup(org.apache.xerces.xni.Augmentations)`

### element

    public void element(java.lang.String elementName,
                        org.apache.xerces.xni.Augmentations augmentations)
                 throws org.apache.xerces.xni.XNIException

  A referenced element in a mixed or children content model.
  Specified by:
    `element` in interface `org.apache.xerces.xni.XMLDTDContentModelHandler`
  Parameters:
    `elementName` - The name of the referenced element.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### separator

    public void separator(short separator,
                          org.apache.xerces.xni.Augmentations augmentations)
                   throws org.apache.xerces.xni.XNIException

  The separator between choices or sequences of a mixed or children content model.
  Specified by:
    `separator` in interface `org.apache.xerces.xni.XMLDTDContentModelHandler`
  Parameters:
    `separator` - The type of children separator.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLDTDContentModelHandler.SEPARATOR_CHOICE`, `XMLDTDContentModelHandler.SEPARATOR_SEQUENCE`

### occurrence

    public void occurrence(short occurrence,
                           org.apache.xerces.xni.Augmentations augmentations)
                    throws org.apache.xerces.xni.XNIException

  The occurrence count for a child in a children content model or for the mixed content model group.
  Specified by:
    `occurrence` in interface `org.apache.xerces.xni.XMLDTDContentModelHandler`
  Parameters:
    `occurrence` - The occurrence count for the last element or group.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLDTDContentModelHandler.OCCURS_ZERO_OR_ONE`, `XMLDTDContentModelHandler.OCCURS_ZERO_OR_MORE`, `XMLDTDContentModelHandler.OCCURS_ONE_OR_MORE`

### endGroup

    public void endGroup(org.apache.xerces.xni.Augmentations augmentations)
                  throws org.apache.xerces.xni.XNIException

  The end of a group for mixed or children content models.
  Specified by:
    `endGroup` in interface `org.apache.xerces.xni.XMLDTDContentModelHandler`
  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### endContentModel

    public void endContentModel(org.apache.xerces.xni.Augmentations augmentations)
                         throws org.apache.xerces.xni.XNIException

  The end of a content model.
  Specified by:
    `endContentModel` in interface `org.apache.xerces.xni.XMLDTDContentModelHandler`
  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### setDocumentSource

    public void setDocumentSource(org.apache.xerces.xni.parser.XMLDocumentSource source)

  Sets the document source.
  Specified by:
    `setDocumentSource` in interface `org.apache.xerces.xni.XMLDocumentHandler`

### getDocumentSource

    public org.apache.xerces.xni.parser.XMLDocumentSource getDocumentSource()

  Returns the document source.
  Specified by:
    `getDocumentSource` in interface `org.apache.xerces.xni.XMLDocumentHandler`

### setDTDSource

    public void setDTDSource(org.apache.xerces.xni.parser.XMLDTDSource source)

  Specified by:
    `setDTDSource` in interface `org.apache.xerces.xni.XMLDTDHandler`

### getDTDSource

    public org.apache.xerces.xni.parser.XMLDTDSource getDTDSource()

  Specified by:
    `getDTDSource` in interface `org.apache.xerces.xni.XMLDTDHandler`

### setDTDContentModelSource

    public void setDTDContentModelSource(org.apache.xerces.xni.parser.XMLDTDContentModelSource source)

  Specified by:
    `setDTDContentModelSource` in interface `org.apache.xerces.xni.XMLDTDContentModelHandler`

### getDTDContentModelSource

    public org.apache.xerces.xni.parser.XMLDTDContentModelSource getDTDContentModelSource()

  Specified by:
    `getDTDContentModelSource` in interface `org.apache.xerces.xni.XMLDTDContentModelHandler`

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.